Subject: I-D Action:draft-ietf-l3vpn-mvpn-infra-addrs-00.txt

From: [email-masked]
Date: Tue, 17 Aug 2010 12:45:02 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Layer 3 Virtual Private Networks Working Group of the IETF.

	Title           : IPv4 and IPv6 Infrastructure Addresses in MCAST-VPN Routes
	Author(s)       : R. Aggarwal, E. Rosen
	Filename        : draft-ietf-l3vpn-mvpn-infra-addrs-00.txt
	Pages           : 7
	Date            : 2010-08-17

To provide Multicast VPN service, a provider edge router originates
"MCAST-VPN" BGP routes.  These routes encode addresses from the
customer's address space as well as addresses from the provider's
address space.  The customer's address space may be either IPv4 or
IPv6.  Independently, the provider's address space may be either IPv4
or IPv6.  The MCAST-VPN BGP routes always contain an "address family"
field that specifies whether the customer addresses are IPv4
addresses or whether they are IPv6 addresses.  However, there is no
field that explicitly specifies whether the provider addresses are
IPv4 addresses or whether they are IPv6 addresses.  The existing
specifications do not explicitly say how to determine whether a given
provider address is IPv4 or IPv6, and there are differing precedents
about the method used to encode IPv4 addresses in messages that also
contain IPv6 addresses.  This document removes any ambiguity by
specifying that MCAST-VPN routes always encode provider IPv4
addresses as four-octet addresses, and that the distinction between
an IPv4 address and an IPv6 address is signaled solely by the length
of the address field.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-l3vpn-mvpn-infra-addrs-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.